Delete a domain verification record
curl -X POST "https://api.5centscdn.com/v2/account/dv/12345" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"_METHOD": "DELETE"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/account/dv/12345"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"_METHOD": "DELETE"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/account/dv/12345", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"_METHOD": "DELETE"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"_METHOD": "DELETE"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/account/dv/12345", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/account/dv/12345')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"_METHOD": "DELETE"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Domain deleted"
}
POST
/account/dv/{dvid}POST
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
dvidinteger
RequiredUnique identifier of the domain verification record.
Content-Typestring
RequiredThe media type of the request body
Options: application/json
_METHODstring
RequiredMust be set to DELETE to trigger domain deletion.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
dvidinteger
RequiredUnique identifier of the domain verification record.
Body
application/json
_METHODstring
RequiredMust be set to DELETE to trigger domain deletion.
Responses
resultstring
Operation outcome.
messagestring
Human-readable description of the operation outcome.
Was this page helpful?